Observability
Filter, sort and page complete resource performance results from a reusable bounded snapshot.
Filter, sort and page complete resource performance results from a reusable bounded snapshot. The request is scoped to the authenticated RevoEngine instance and operation policy.
POST
/
api
/
v1
/
observability
/
performance
/
query
Filter, sort and page complete resource performance results from a reusable bounded snapshot.
curl --request POST \
--url https://api.revoengine.com/api/v1/observability/performance/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.revoengine.com/api/v1/observability/performance/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/performance/query"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"nextCursor": "<string>",
"data": [
{
"histogram": [
{
"upperMs": 123,
"count": 123
}
],
"durationCount": 123,
"durationSumMs": 123,
"peakRpm": 123,
"resourceName": "<string>",
"service": "<string>",
"kind": "<string>",
"resourceId": "<string>",
"requests": 123,
"successes": 123,
"errors": 123,
"running": 123,
"unknown": 123,
"averageMs": 123,
"p50Ms": 123,
"p95Ms": 123,
"p99Ms": 123,
"percentileApproximate": true,
"referenceId": "<string>",
"resourceType": "ENDPOINT",
"componentType": "<string>",
"requestMethod": "<string>",
"requestPath": "<string>"
}
],
"totalRows": 123,
"meta": {
"snapshotAt": "<string>",
"from": "<string>",
"to": "<string>",
"source": "NORMALIZED",
"coverage": "COMPLETE",
"warnings": [
"<string>"
],
"bytesProcessed": 123,
"maximumBytesBilled": 123,
"investigationId": "<string>",
"projectionWatermark": "<string>"
}
}Authorizations
Bearer JWT token or API Key (sk-*).
Body
application/json
UTC inclusive lower bound. Defaults to the preceding 24 hours.
UTC exclusive upper bound. Defaults to now. A single query may cover at most 7 days.
Show child attributes
Show child attributes
Required range:
1 <= x <= 200Opaque investigation budget identifier returned by this API.
Opaque continuation for bounded whole-window aggregation.
Maximum string length:
48Required range:
x >= 0Exclusive row offset; one block contains at most 200 rows.
Required range:
x >= 1Maximum array length:
5Show child attributes
Show child attributes
AG Grid single-condition text/number filters for the allowlisted performance columns. Values are bound; arbitrary SQL and combined conditions are rejected.
Last modified on October 5, 2026
⌘I
Filter, sort and page complete resource performance results from a reusable bounded snapshot.
curl --request POST \
--url https://api.revoengine.com/api/v1/observability/performance/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.revoengine.com/api/v1/observability/performance/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/performance/query"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"nextCursor": "<string>",
"data": [
{
"histogram": [
{
"upperMs": 123,
"count": 123
}
],
"durationCount": 123,
"durationSumMs": 123,
"peakRpm": 123,
"resourceName": "<string>",
"service": "<string>",
"kind": "<string>",
"resourceId": "<string>",
"requests": 123,
"successes": 123,
"errors": 123,
"running": 123,
"unknown": 123,
"averageMs": 123,
"p50Ms": 123,
"p95Ms": 123,
"p99Ms": 123,
"percentileApproximate": true,
"referenceId": "<string>",
"resourceType": "ENDPOINT",
"componentType": "<string>",
"requestMethod": "<string>",
"requestPath": "<string>"
}
],
"totalRows": 123,
"meta": {
"snapshotAt": "<string>",
"from": "<string>",
"to": "<string>",
"source": "NORMALIZED",
"coverage": "COMPLETE",
"warnings": [
"<string>"
],
"bytesProcessed": 123,
"maximumBytesBilled": 123,
"investigationId": "<string>",
"projectionWatermark": "<string>"
}
}
